QuantLib: InhomogeneousPoolLossModel< copulaPolicy > Class Template Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
InhomogeneousPoolLossModel< copulaPolicy > Class Template Reference

Default loss distribution convolution for finite non homogeneous pool. More...

`#include <ql/experimental/credit/inhomogeneouspooldef.hpp>`

Inheritance diagram for InhomogeneousPoolLossModel< copulaPolicy >:
[legend]

## Public Types
typedef copulaPolicy | copulaType

## Public Member Functions
| InhomogeneousPoolLossModel (const boost::shared_ptr< ConstantLossLatentmodel< copulaPolicy > > &copula, Size nBuckets, Real max=5., Real min=-5., Real nSteps=50)
Real | expectedTrancheLoss (const Date &d) const
Real | percentile (const Date &d, Real percentile) const
| Value at Risk given a default loss percentile.
Real | expectedShortfall (const Date &d, Probability percentile) const
| Expected shortfall given a default loss percentile.
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Member Functions
Distribution | lossDistrib (const Date &d) const
Protected Member Functions inherited from DefaultLossModel
virtual Probability | probOverLoss (const Date &d, Real lossFraction) const
virtual Disposable< std::vector< Real > > | splitVaRLevel (const Date &d, Real loss) const
| Associated VaR fraction to each counterparty.
virtual Disposable< std::vector< Real > > | splitESFLevel (const Date &d, Real loss) const
| Associated ESF fraction to each counterparty.
virtual Disposable< std::map< Real, Probability > > | lossDistribution (const Date &) const
| Full loss distribution.
virtual Real | densityTrancheLoss (const Date &d, Real lossFraction) const
| Probability density of a given loss fraction of the basket notional.
virtual Disposable< std::vector< Probability > > | probsBeingNthEvent (Size n, const Date &d) const
virtual Real | defaultCorrelation (const Date &d, Size iName, Size jName) const
| Pearsons' default probability correlation.
virtual Probability | probAtLeastNEvents (Size n, const Date &d) const
virtual Real | expectedRecovery (const Date &, Size iName, const DefaultProbKey &) const

## Protected Attributes
const boost::shared_ptr< ConstantLossLatentmodel< copulaPolicy > > | copula_
Size | nBuckets_
Real | attach_
Real | detach_
Real | notional_
Real | attachAmount_
Real | detachAmount_
std::vector< Real > | notionals_
Protected Attributes inherited from DefaultLossModel
RelinkableHandle< Basket > | basket_

## Detailed Description

### template<class copulaPolicy>
class QuantLib::InhomogeneousPoolLossModel< copulaPolicy >

Default loss distribution convolution for finite non homogeneous pool.